/*
 * heuristic_wrapper.h
 *
 *  Created on: Dec 18, 2015
 *      Author: cedric
 */

#ifndef BOOTSTRAP_HEURISTIC_WRAPPER_H_
#define BOOTSTRAP_HEURISTIC_WRAPPER_H_

#include "../evaluation_context.h"
#include "../heuristic.h"
#include "../option_parser.h"


#include <string>

class HeuristicWrapper{
public:
	HeuristicWrapper(std::string heuristic_function_name);
	~HeuristicWrapper() = default;

	void set_heuristic_function(std::string heuristic_function_name);

	int get_heuristic_value(const State &state);
	int get_heuristic_value(const GlobalState &g_state);
private:
	Heuristic* heuristic;
};



#endif /* SRC_SEARCH_BOOTSTRAP_HEURISTIC_WRAPPER_H_ */
